package cn.jiguang.jmlinkexample;

import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.widget.TextView;

import java.util.Map;

import cn.jiguang.jmlinksdk.api.JMLinkAPI;
import cn.jiguang.jmlinksdk.api.annotation.JMLinkRouter;

@JMLinkRouter(keys = "test_mlink_1")
public class SecondActivity extends BaseActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_second);
        ((TextView) findViewById(R.id.appkey)).setText(getAppkey());
        // 获取用户自定义参数
        Bundle bundle = getIntent().getExtras();
        if (bundle != null && bundle.keySet().size() > 0) {
            StringBuilder stringBuilder = new StringBuilder();
            for (String key : bundle.keySet()) {
                stringBuilder.append(key).append(" - ").append(bundle.getSerializable(key)).append("\n");
            }
            ((TextView) findViewById(R.id.params)).setText(stringBuilder);
        }
        // 获取无码邀请参数
        Map<String, String> dynpParams = JMLinkAPI.getInstance().getParams();
        if (dynpParams.size() > 0) {
            StringBuilder stringBuilder = new StringBuilder();
            for (Map.Entry<String, String> entry : dynpParams.entrySet()) {
                stringBuilder.append(entry.getKey()).append(" - ").append(entry.getValue()).append("\n");
            }
            ((TextView) findViewById(R.id.dynpParams)).setText(stringBuilder);
        }
    }

    private String getAppkey() {
        String appkey = "";
        try {
            ApplicationInfo info = this.getPackageManager().getApplicationInfo(getPackageName(), PackageManager.GET_META_DATA);
            appkey = info.metaData.getString("JPUSH_APPKEY");
        } catch (Exception e) {
            e.printStackTrace();
        }
        return appkey;
    }
}
