package cn.jiguang.jmlinkexample;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;

import java.lang.reflect.Field;

import cn.jiguang.jmlinksdk.api.JMLinkAPI;
import cn.jiguang.jmlinksdk.api.YYBCallback;

public class WelcomeActivity extends BaseActivity {
    private static final String TAG = "WelcomeActivity";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        init();
    }

    private void init() {
        JMLinkAPI.getInstance().registerWithAnnotation();
        JMLinkAPI.getInstance().deferredRouter();
        Uri uri = getIntent().getData();
        Log.e(TAG, "data = " + uri);
        if (uri != null) {
            JMLinkAPI.getInstance().router(uri);
            finish();
        } else {
            JMLinkAPI.getInstance().checkYYB(new YYBCallback() {
                @Override
                public void onFailed() {
                    gotoDefault();
                }

                @Override
                public void onSuccess() {
                    finish();
                }
            });
        }
    }


    private void gotoDefault() {
        Intent intent = new Intent(WelcomeActivity.this, DefaultRouteActivity.class);
        intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_CLEAR_TOP);
        startActivity(intent);
        finish();
    }
}
